UbixOS V2 2.0

Data Structures | Macros | Typedefs
signal.h File Reference
`#include <sys/types.h>`
Include dependency graph for signal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | __siginfo
struct | sigaction
union | sigval

## Macros
#define | _SIG_BIT(sig) (1 << (_SIG_IDX(sig) & 31))
#define | _SIG_IDX(sig) ((sig) - 1)
#define | _SIG_MAXSIG 128
#define | _SIG_VALID(sig) ((sig) <= _SIG_MAXSIG && (sig) > 0)
#define | _SIG_WORD(sig) (_SIG_IDX(sig) >> 5)
#define | _SIG_WORDS 4
#define | sa_handler __sigaction_u.__sa_handler
#define | sa_sigaction __sigaction_u.__sa_sigaction
#define | SIG_BLOCK 1 /* block specified signal set */
#define | SIG_SETMASK 3 /* set specified signal set */
#define | SIG_UNBLOCK 2 /* unblock specified signal set */

## Typedefs
typedef struct __siginfo | siginfo_t

## Macro Definition Documentation

## ◆ _SIG_BIT

#define _SIG_BIT | ( |  | sig | ) | (1 << (_SIG_IDX(sig) & 31))

Definition at line 38 of file signal.h.

## ◆ _SIG_IDX

#define _SIG_IDX | ( |  | sig | ) | ((sig) - 1)

Definition at line 36 of file signal.h.

## ◆ _SIG_MAXSIG

#define _SIG_MAXSIG 128

Definition at line 35 of file signal.h.

## ◆ _SIG_VALID

#define _SIG_VALID | ( |  | sig | ) | ((sig) <= _SIG_MAXSIG && (sig) > 0)

Definition at line 39 of file signal.h.

## ◆ _SIG_WORD

#define _SIG_WORD | ( |  | sig | ) | (_SIG_IDX(sig) >> 5)

Definition at line 37 of file signal.h.

## ◆ _SIG_WORDS

#define _SIG_WORDS 4

Definition at line 34 of file signal.h.

## ◆ sa_handler

#define sa_handler __sigaction_u.__sa_handler

Definition at line 102 of file signal.h.

## ◆ sa_sigaction

#define sa_sigaction __sigaction_u.__sa_sigaction

Definition at line 103 of file signal.h.

## ◆ SIG_BLOCK

#define SIG_BLOCK 1 /* block specified signal set */

Definition at line 42 of file signal.h.

## ◆ SIG_SETMASK

#define SIG_SETMASK 3 /* set specified signal set */

Definition at line 44 of file signal.h.

## ◆ SIG_UNBLOCK

#define SIG_UNBLOCK 2 /* unblock specified signal set */

Definition at line 43 of file signal.h.

## Typedef Documentation

## ◆ siginfo_t

typedef struct __siginfo siginfo_t